"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const got_1 = __importDefault(require("got"));
const cheerio = __importStar(require("cheerio"));
const index_js_1 = require("../types/index.js");
async function antaranews() {
    const html = await (0, got_1.default)('https://www.antaranews.com/').text();
    const $ = cheerio.load(html);
    const results = [];
    $('div.terkini > article.simple-post').each((_, el) => {
        const $el = $(el);
        const title = $el.find('.latest-news > a').text();
        const link = $el.find('.latest-news > a').attr('href');
        const $image = $el.find('picture');
        const image = $image.find('img').attr('src') ||
            $image.find('img').attr('data-src') ||
            $image.find('source').attr('srcset') ||
            $image.find('source').attr('data-srcset');
        const label = $el.find('.simple-share').text();
        const date = $el.find('.simple-share > span').text();
        if (title && image) {
            results.push({
                title,
                link,
                image,
                label: label.replace(date, '').replace('/', '').trim(),
                date: date.trim()
            });
        }
    });
    return results.map((value) => index_js_1.AntaraNewsSchema.parse(value));
}
exports.default = antaranews;
