"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const got_1 = __importDefault(require("got"));
const cheerio = __importStar(require("cheerio"));
const index_js_1 = require("../types/index.js");
async function suaracom() {
    const html = await (0, got_1.default)('https://www.suara.com/news').text();
    const $ = cheerio.load(html);
    const results = [];
    $('div.widget-content > ul.list-unstyled > li.item-outer').each((_, el) => {
        const $el = $(el);
        const title = $el.find('h4.post-title > a.ellipsis2').text();
        const link = $el.find('h4.post-title > a.ellipsis2').attr('href');
        const description = $el.find('div.item-content > p.ellipsis2').text();
        const image = $el.find('div.post-thumb > a > img').attr('src');
        const date = $el.find('.suara-date-box > span').map((i, el) => $(el).text()).get().join(' ');
        if (title && link) {
            results.push({
                title,
                link,
                image,
                description,
                date
            });
        }
    });
    return results.map((value) => index_js_1.SuaracomSchema.parse(value));
}
exports.default = suaracom;
