"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.chord = void 0;
const got_1 = __importDefault(require("got"));
const cheerio = __importStar(require("cheerio"));
const index_js_1 = require("../types/index.js");
async function chord(query) {
    index_js_1.ChordArgsSchema.parse(arguments);
    const search = await (0, got_1.default)(`https://www.gitagram.com/?s=${encodeURIComponent(query).replace(/%20/g, '+')}`);
    const $ = cheerio.load(search.body);
    const $url = $('table.table > tbody > tr').eq(0).find('td').eq(0).find('a').eq(0);
    const url = $url.attr('href');
    if (!url) {
        throw new Error(`No results for ${query}\n\n${search.body}`);
    }
    const song = await (0, got_1.default)(url);
    const $song = cheerio.load(song.body);
    const $hcontent = $song('div.hcontent');
    const artist = $hcontent.find('div > a > span.subtitle').text().trim();
    const artistUrl = $hcontent.find('div > a').attr('href');
    const title = $hcontent.find('h1.title').text().trim();
    const chord = $song('div.content > pre').text().trim();
    const res = {
        url: song.url,
        artist,
        artistUrl,
        title,
        chord
    };
    return index_js_1.ChordSchema.parse(res);
}
exports.chord = chord;
