"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const got_1 = __importDefault(require("got"));
const cheerio = __importStar(require("cheerio"));
const kodepos_js_1 = require("../types/kodepos.js");
const constant_js_1 = require("./constant.js");
async function kodepos(query) {
    kodepos_js_1.KodePosArgsSchema.parse(arguments);
    const form = {
        kodepos: query
    };
    const html = await got_1.default.post('https://kodepos.posindonesia.co.id/CariKodepos', {
        headers: {
            ...constant_js_1.DEFAULT_HEADERS
        },
        form
    }).text();
    const $ = cheerio.load(html);
    const result = $('tbody > tr').map((_, el) => {
        const $td = $(el).find('td');
        const kodepos = $td.eq(1).text();
        const desa = $td.eq(2).text();
        const kecamatan = $td.eq(3).text();
        const kota = $td.eq(4).text();
        const provinsi = $td.eq(5).text();
        return {
            kodepos,
            desa,
            kecamatan,
            kota,
            provinsi
        };
    }).toArray();
    return kodepos_js_1.KodePosSchema.parse(result);
}
exports.default = kodepos;
